package com.zjrs.ggfw.portal.bpo.impl;

import jakarta.annotation.Resource;
import org.mohrss.leaf.core.framework.persistens.PageResult;
import org.mohrss.leaf.core.framework.web.controller.AjaxResponse;
import com.zjrs.ggfw.portal.blo.EMSBLO;
import com.zjrs.ggfw.portal.bpo.EMSBPO;
import com.zjrs.ggfw.portal.dto.*;
import com.zjrs.ggfw.portal.po.ZfzttzPO;
import org.springframework.stereotype.Service;

@Service
public class EMSBPOImpl implements EMSBPO {

    @Resource
    private EMSBLO emsBLO;

    @Override
    public void order() {
        emsBLO.order();
    }

    @Override
    public void initOrder(OrderDTO dto) {
        emsBLO.initOrder(dto);
    }

    @Override
    public AjaxResponse getWlxx(EMSORderXxDTO dto) {
        return this.emsBLO.getWlxx(dto);
    }

    @Override
    public void getZfZtTz(ZfzttzPO po) {
        this.emsBLO.getZfZtTz(po);
    }

    @Override
    public PageResult queryWlList(SxblQueryDTO dto) {
        return this.emsBLO.queryWlList(dto);
    }

    @Override
    public AjaxResponse queryOrderXx(EMSORderXxDTO dto) {
        return this.emsBLO.queryOrderXx(dto);
    }

    @Override
    public AjaxResponse getOrderStatus(EMSORderXxDTO dto) {
        return this.emsBLO.getOrderStatus(dto);
    }

    @Override
    public void saveWxxcxZftz(String params) {
        this.emsBLO.saveWxxcxZftz(params);
    }

    @Override
    public AjaxResponse doUnifiedOrder(XcxPayDTO dto) {
        return this.emsBLO.doUnifiedOrder(dto);
    }

}
